Foreman - Bug #12201

GET /api/hosts/:host_id/audits error
10/16/2015 08:57 PM - Daniel Gagnon

Status: Closed
Priority: Normal
Assignee: Shimon Shtein
Category: API
Target version: 1.10.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases: Nightly
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/2885
Description

root@pxe:/usr/local/scripts# curl -s -u admin:admin -k -H "Accept: version=2,application/json" https://127.0.0.1/api/hosts/118/audits {
"error": {"message":"undefined method "name’ for nil:NilClass"}

}

2015-10-17T00:53:53 [app] [I] Started GET "/api/hosts/118/audits" for 64.15.64.152 at 2015-10-17 0
0:53:53 +0000
2015-10-17T00:53:53 [app] [I] Processing by Api::V2::AuditsController#index as JSON

2015-10-17T00:53:53 [app] I[I] Parameters: {"apiv"=>"v2", "host_id"=>"118"}

2015-10-17T00:53:53 [sqgl] [D] User Load (1.2ms) SELECT "users".* FROM "users" WHERE "users"."lo
wer_login" = 'admin' LIMIT 1

2015-10-17T00:53:53 [sgl] [D] AuthSource Load (1.2ms) SELECT "auth_sources".* FROM "auth_source
s" WHERE "auth_sources"."id" = 1 LIMIT 1

2015-10-17T00:53:53 [sgl] [D] CACHE (0.0Oms) SELECT "users".* FROM "users" WHERE "users"."lower_
login" = 'admin' LIMIT 1

2015-10-17T00:53:53 [sgl] [D] Authenticated user admin against INTERNAL authentication source
2015-10-17T00:53:53 [sgl] [D] User Load (1.0ms) SELECT "users".* FROM "users" WHERE "users"."lo
wer_login" = 'foreman_admin' LIMIT 1

2015-10-17T00:53:53 [app] [D] Setting current user thread-local variable to foreman_admin
2015-10-17T00:53:53 [app] [D] Setting current user thread-local variable to nil
2015-10-17T00:53:53 [sgl] [D] Post-login processing for admin

]

2015-10-17T00:53:53 [sqgl [D] CACHE (0.0Oms) SELECT "users".* FROM "users" WHERE "users"."lower_
login" = 'foreman_admin' LIMIT 1

2015-10-17T00:53:53 [app] [D] Setting current user thread-local variable to foreman_admin
2015-10-17T00:53:53 [sqgl] [D] (0.4ms) BEGIN

2015-10-17T00:53:53 [sqgl] [D] (0.7ms) UPDATE "users" SET "last_login_on" = '2015-10-17 00:53:5
3.368240"', "updated_at"™ = '2015-10-17 00:53:53.369900' WHERE "users"."id" = 1

2015-10-17T00:53:53 [sgl] [D] Role Load (0.7ms) SELECT "roles".* FROM "roles" WHERE "roles"."na
me" = 'Anonymous' LIMIT 1

2015-10-17T00:53:53 [sgl] [D] SQL (0.9ms) SELECT "roles".id FROM "roles" INNER JOIN "user_roles
" ON "roles"."id" = "user_roles"."role_id" WHERE "user_roles"."owner_id" = 1 AND "user_roles"."own
er_type" = 'User'

2015-10-17T00:53:53 [sqgl] [D] (42.1ms) COMMIT

2015-10-17T00:53:53 [sqgl] [D] CACHE (0.Oms) SELECT "roles".* FROM "roles" WHERE "roles"."name"
= 'Anonymous' LIMIT 1

2015-10-17T00:53:53 [sqgl] [D] Role Exists (0.9ms) SELECT 1 AS one FROM "roles" INNER JOIN "user
_roles"™ ON "roles"."id" = "user_roles"."role_id" WHERE "user_roles"."owner_id" = 1 AND "user_roles
"."owner_type" = 'User' AND "roles"."id" = 8 LIMIT 1

2015-10-17T00:53:53 [app] [D] Setting current user thread-local variable to nil
2015-10-17T00:53:53 [app] [D] Setting current user thread-local variable to admin

2015-10-17T00:53:53 [sgl] [D] SQL (0.6ms) SELECT auth_sources.id FROM "auth_sources" WHERE "aut
h_sources"."type" IN ('AuthSourceHidden')

2015-10-17T00:53:53 [sqgl] [D] User Load (0.9ms) SELECT "users".* FROM "users" WHERE "users"."lo
wer_login" = 'admin' AND ("users"."auth_source_id" NOT IN (2)) ORDER BY firstname LIMIT 1

2015-10-17T00:53:53 [app] [I] Authorized user admin (Admin User)
2015-10-17T00:53:53 [app] [D] Setting current user thread-local variable to admin
https://127.0.0.1/api/hosts/118/audits

2015-10-17T00:53:53 [app] [W] Action failed

| NoMethodError: undefined method "name' for nil:NilClass

| /usr/share/foreman/app/controllers/api/base_controller.rb:55:in "parent_scope'

| /usr/share/foreman/app/controllers/api/base_controller.rb:46:1in "~ resource_scope'

| /usr/share/foreman/app/controllers/api/base_controller.rb:59:in "resource_scope_for_index'

| /usr/share/foreman/app/controllers/api/v2/audits_controller.rb:12:in “block in index'

| /usr/share/foreman/vendor/ruby/1.9.1/gems/activerecord-3.2.21/1ib/active_record/scoping/default
.rb:41:in “block in unscoped'

| /usr/share/foreman/vendor/ruby/1.9.1/gems/activerecord-3.2.21/1lib/active_record/relation.rb:241
:in "block in scoping’

| /usr/share/foreman/vendor/ruby/1.9.1/gems/activerecord-3.2.21/1lib/active_record/scoping.rb:98:1
n ‘with_scope'

| /usr/share/foreman/vendor/ruby/1.9.1/gems/activerecord-3.2.21/1ib/active_record/relation.rb:241
:in " scoping'

| /usr/share/foreman/vendor/ruby/1.9.1/gems/activerecord-3.2.21/1ib/active_record/scoping/default
.rb:41:in “unscoped’

| /usr/share/foreman/app/controllers/api/v2/audits_controller.rb:12:in "index'

| /usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.21/1ib/action_controller/metal/implici
t_render.rb:4:in "~ send_action'

| /usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack—-3.2.21/1ib/abstract_controller/base.rb:167
:in “process_action'

| /usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.21/1ib/action_controller/metal/renderi
ng.rb:10:in “process_action'

| /usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.21/1ib/abstract_controller/callbacks.r
b:18:in "block in process_action'

| /usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport—-3.2.21/1ib/active_support/callbacks.rb:
551:in "block (5 levels) in _run__ 4357714032314888367__process_action_ _4374786170999557127__callba
cks'

| /usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/1ib/active_support/callbacks.rb:
215:in “block in _conditional_callback_around_7576"

| /usr/share/foreman/app/controllers/api/v2/base_controller.rb:151:in “disable_json_root'

| /usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport—-3.2.21/1ib/active_support/callbacks.rb:
214:in " _conditional_callback_around_7576"

| /usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport—-3.2.21/1ib/active_support/callbacks.rb:
539:in "block (4 levels) in _run__ 4357714032314888367__process_action__4374786170999557127__callba
cks'

| /usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/1ib/active_support/callbacks.rb:
215:in “block in _conditional_callback_around_7575"

| /usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport—-3.2.21/1ib/active_support/callbacks.rb:
326:in "around'

| /usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport—-3.2.21/1ib/active_support/callbacks.rb:
310:1in "~ _callback_around_1919"

| /usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/1lib/active_support/callbacks.rb:
214:in ~_conditional_callback_around_7575"'

| /usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport—-3.2.21/1ib/active_support/callbacks.rb:
527:in “block (3 levels) in _run_ 4357714032314888367__process_action_ 4374786170999557127__callba
cks'

| /usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport—-3.2.21/1ib/active_support/callbacks.rb:
215:in “block in _conditional_callback_around_7574"

| /usr/share/foreman/app/controllers/concerns/application_shared.rb:13:in "set_timezone'

| /usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/1lib/active_support/callbacks.rb:
214:in ~_conditional_callback_around_7574"

| /usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport—-3.2.21/1ib/active_support/callbacks.rb:
526:in “block (2 levels) in _run_ 4357714032314888367__process_action_ 4374786170999557127__callba
cks'

| /usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/1ib/active_support/callbacks.rb:
215:in “block in _conditional_callback_around_7573"

| /usr/share/foreman/app/models/concerns/foreman/thread_session.rb:32:in “clear_thread'

| /usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/1lib/active_support/callbacks.rb:
214:in ~_conditional_callback_around_7573"'

| /usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport—-3.2.21/1ib/active_support/callbacks.rb:
448:in "block in _run_ 4357714032314888367__process_action__4374786170999557127__callbacks'

| /usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport—-3.2.21/1ib/active_support/callbacks.rb:
215:in “block in _conditional_callback_around_7572"'

| /usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport—-3.2.21/1ib/active_support/callbacks.rb:
326:in “around’'

| /usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport—-3.2.21/1ib/active_support/callbacks.rb:
310:in " _callback_around_13'

| /usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport—-3.2.21/1ib/active_support/callbacks.rb:
214:in ~_conditional_callback_around_7572"'

| /usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/1ib/active_support/callbacks.rb:
414:in " _run__4357714032314888367__process_action_ 4374786170999557127__callbacks'

| /usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/1ib/active_support/callbacks.rb:

405:in ~__run_callback'

| /usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/1ib/active_support/callbacks.rb:

385:in ' _run_process_action_callbacks'

| /usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport—-3.2.21/1ib/active_support/callbacks.rb:

8l:in “run_callbacks'

| /usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack—-3.2.21/1ib/abstract_controller/callbacks.r

b:17:in ‘process_action’

| /usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack—-3.2.21/1ib/action_controller/metal/rescue.

rb:29:in “process_action'

| /usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.21/1ib/action_controller/metal/instrum

entation.rb:30:in "block in process_action'
| /usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport—-3.2.21/1ib/active_support/notifications

.rb:123:in “block in instrument'

| /usr/share/foreman/vendor/ruby/1.9.

/instrumenter.rb:20:in " instrument'

| /usr/share/foreman/vendor/ruby/1.9.

.rb:123:in " instrument'

| /usr/share/foreman/vendor/ruby/1.9.

entation.rb:29:in “process_action'

| /usr/share/foreman/vendor/ruby/1.9.

wrapper.rb:207:in “process_action’

| /usr/share/foreman/vendor/ruby/1.9.
ller_runtime.rb:18:in “process_action'
9.

| /usr/share/foreman/vendor/ruby/1.
:in “process'

| /usr/share/foreman/vendor/ruby/1.
b:45:in “process'

| /usr/share/foreman/vendor/ruby/1.
in “dispatch'

| /usr/share/foreman/vendor/ruby/1.
legation.rb:14:in “dispatch’

| /usr/share/foreman/vendor/ruby/1.
in “block in action'

| /usr/share/foreman/vendor/ruby/1.
et.rb:73:in “call'

| /usr/share/foreman/vendor/ruby/1.
et.rb:73:in “dispatch’

| /usr/share/foreman/vendor/ruby/1.
et.rb:36:in “call’

| /usr/share/foreman/vendor/ruby/1.
rb:43:in “call'

| /usr/share/foreman/vendor/ruby/1.
all'

| /usr/share/foreman/vendor/ruby/1.

| /usr/share/foreman/vendor/ruby/1.

| /usr/share/foreman/vendor/ruby/1.
et.rb:608:in “call'

| /usr/share/foreman/vendor/ruby/1.
:in “call’

| /usr/share/foreman/vendor/ruby/1.
7:in “call'

| /usr/share/foreman/vendor/ruby/1.
headers.rb:27:in “call'

| /usr/share/foreman/vendor/ruby/1.
_standards_support.rb:17:in “call'

| /usr/share/foreman/vendor/ruby/1.

| /usr/share/foreman/vendor/ruby/1.

| /usr/share/foreman/vendor/ruby/1.
.rb:14:in “call'

| /usr/share/foreman/vendor/ruby/1.
ms_parser.rb:21:in “call'
1/gems/activesupport—-3.2.21/1ib/active_support/notifications
1/gems/activesupport-3.2.21/1lib/active_support/notifications
1/gems/actionpack—-3.2.21/1ib/action_controller/metal/instrum
1/gems/actionpack—-3.2.21/1ib/action_controller/metal/params_
1/gems/activerecord-3.2.21/1lib/active_record/railties/contro

1/gems/actionpack—-3.2.21/1ib/abstract_controller/base.rb:121

.1/gems/actionpack-3.2.21/1lib/abstract_controller/rendering.r
.1/gems/actionpack-3.2.21/1lib/action_controller/metal.rb:203:
.1/gems/actionpack-3.2.21/1ib/action_controller/metal/rack_de
.1/gems/actionpack-3.2.21/1lib/action_controller/metal.rb:246:
.1/gems/actionpack-3.2.21/1lib/action_dispatch/routing/route_s
.1/gems/actionpack-3.2.21/1lib/action_dispatch/routing/route_s
.1/gems/actionpack-3.2.21/1lib/action_dispatch/routing/route_s
.1/gems/actionpack-3.2.21/1lib/action_dispatch/routing/mapper.
.1/gems/journey-1.0.4/1ib/journey/router.rb:68:in ‘block in c
.1/gems/journey-1.0.4/1ib/journey/router.rb:56:in "each'
.1/gems/journey-1.0.4/1ib/Jjourney/router.rb:56:in “call’
.1/gems/actionpack-3.2.21/1lib/action_dispatch/routing/route_s
.1/gems/apipie-rails-0.2.6/1lib/apipie/static_dispatcher.rb:65
.1/gems/apipie-rails-0.2.6/1lib/apipie/extractor/recorder.rb:9
.1/gems/apipie-rails-0.2.6/1lib/apipie/middleware/checksum_in_
.1/gems/actionpack-3.2.21/1lib/action_dispatch/middleware/best
.1/gems/rack-1.4.7/1lib/rack/etag.rb:23:in “call’
.1/gems/rack-1.4.7/1ib/rack/conditionalget.rb:25:in ‘call'

.1/gems/actionpack-3.2.21/1ib/action_dispatch/middleware/head

.1/gems/actionpack-3.2.21/1ib/action_dispatch/middleware/para
| /usr/share/foreman/lib/middleware/catch_Jjson_parse_errors.rb:9:in “call'

| /usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.21/1ib/action_dispatch/middleware/flas
h.rb:242:in “call’

| /usr/share/foreman/vendor/ruby/1.9.1/gems/rack-1.4.7/1lib/rack/session/abstract/id.rb:210:in "co
ntext'

| /usr/share/foreman/vendor/ruby/1.9.1/gems/rack-1.4.7/1lib/rack/session/abstract/id.rb:205:in ‘ca
11'

| /usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.21/1ib/action_dispatch/middleware/cook
ies.rb:341:in “call'

| /usr/share/foreman/vendor/ruby/1.9.1/gems/activerecord-3.2.21/1ib/active_record/query_cache.rb:
64:in “call'

| /usr/share/foreman/vendor/ruby/1.9.1/gems/activerecord-3.2.21/1lib/active_record/connection_adap
ters/abstract/connection_pool.rb:479:in “call'

| /usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.21/1ib/action_dispatch/middleware/call
backs.rb:28:in "block in call'

| /usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/1ib/active_support/callbacks.rb:
405:in “_run_ 1357384041277406302__call_ 3870631366901137560__callbacks'

| /usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport—-3.2.21/1ib/active_support/callbacks.rb:
405:1in "__run_callback'

| /usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/1ib/active_support/callbacks.rb:
385:1in " _run_call_callbacks'

| /usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/1ib/active_support/callbacks.rb:
81l:in “run_callbacks'

| /usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.21/1ib/action_dispatch/middleware/call
backs.rb:27:in “call'

| /usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.21/1ib/action_dispatch/middleware/remo
te_ip.rb:31l:in “call'

| /usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.21/1ib/action_dispatch/middleware/debu
g_exceptions.rb:16:in “call'

| /usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.21/1ib/action_dispatch/middleware/show
_exceptions.rb:56:in “call'

| /usr/share/foreman/vendor/ruby/1.9.1/gems/railties-3.2.21/1ib/rails/rack/logger.rb:32:in “call_
app'

| /usr/share/foreman/vendor/ruby/1.9.1/gems/railties-3.2.21/1ib/rails/rack/logger.rb:18:in “call'

| /usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack—-3.2.21/1ib/action_dispatch/middleware/requ
est_id.rb:22:in ‘call'’

| /usr/share/foreman/vendor/ruby/1.9.1/gems/rack-1.4.7/1ib/rack/methodoverride.rb:21:in “call'

| /usr/share/foreman/vendor/ruby/1.9.1/gems/rack-1.4.7/1lib/rack/runtime.rb:17:in “call'

| /usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport—-3.2.21/1ib/active_support/cache/strateg
y/local_cache.rb:72:in “call'

| /usr/share/foreman/vendor/ruby/1.9.1/gems/rack-1.4.7/1ib/rack/lock.rb:15:in ‘call'

| /usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.21/1ib/action_dispatch/middleware/stat
ic.rb:83:in “call'

| /usr/share/foreman/vendor/ruby/1.9.1/gems/rack—-cache-1.2/1ib/rack/cache/context.rb:136:in " forw
ard'

| /usr/share/foreman/vendor/ruby/1.9.1/gems/rack—-cache-1.2/1lib/rack/cache/context.rb:245:in " fetc
hl

| /usr/share/foreman/vendor/ruby/1.9.1/gems/rack-cache-1.2/1ib/rack/cache/context.rb:185:in " look
up'

| /usr/share/foreman/vendor/ruby/1.9.1/gems/rack-cache-1.2/1ib/rack/cache/context.rb:66:in “call!

| /usr/share/foreman/vendor/ruby/1.9.1/gems/rack—-cache-1.2/1ib/rack/cache/context.rb:51:in “call'
| /usr/share/foreman/vendor/ruby/1.9.1/gems/railties-3.2.21/1ib/rails/engine.rb:484:in “call'
| /usr/share/foreman/vendor/ruby/1.9.1/gems/railties-3.2.21/1ib/rails/application.rb:231:in ‘“call
L}
| /usr/share/foreman/vendor/ruby/1.9.1/gems/railties-3.2.21/1ib/rails/railtie/configurable.rb:30:
in "method_missing'
/usr/share/foreman/vendor/ruby/1.
/usr/share/foreman/vendor/ruby/1.
/usr/share/foreman/vendor/ruby/1.
/usr/share/foreman/vendor/ruby/1.

.1/gems/rack-1.4.7/1ib/rack/builder.rb:134:in “call'
.1/gems/rack-1.4.7/1lib/rack/urlmap.rb:64:in “block in call’
.1/gems/rack-1.4.7/1lib/rack/urlmap.rb:49:in ‘each'
.1/gems/rack-1.4.7/1lib/rack/urlmap.rb:49:in “call’

O W O O
[IsN

/usr/lib/ruby/vendor_ruby/phusion_passenger/rack/request_handler.rb:96:in "process_request'

I
I
I
I
|
| /usr/lib/ruby/vendor_ruby/phusion_passenger/abstract_request_handler.rb:516:in "accept_and_proc
ess_next_request'

I

/usr/lib/ruby/vendor_ruby/phusion_passenger/abstract_request_handler.rb:274:in "main_loop'

| /usr/lib/ruby/vendor_ruby/phusion_passenger/rack/application_spawner.rb:206:in "~start_request_h
andler'
| /usr/lib/ruby/vendor_ruby/phusion_passenger/rack/application_spawner.rb:171:in "block in handle
_spawn_application'

| /usr/lib/ruby/vendor_ruby/phusion_passenger/utils.rb:479:in “safe_fork'

| /usr/lib/ruby/vendor_ruby/phusion_passenger/rack/application_spawner.rb:166:in "handle_spawn_ap
plication’

| /usr/lib/ruby/vendor_ruby/phusion_passenger/abstract_server.rb:357:in "server_main_loop'

| /usr/lib/ruby/vendor_ruby/phusion_passenger/abstract_server.rb:206:in " start_synchronously'

| /usr/lib/ruby/vendor_ruby/phusion_passenger/abstract_server.rb:180:in "start'

| /usr/lib/ruby/vendor_ruby/phusion_passenger/rack/application_spawner.rb:129:in "start'

| /usr/lib/ruby/vendor_ruby/phusion_passenger/spawn_manager.rb:253:in "block (2 levels) in spawn_
rack_application'’

| /usr/lib/ruby/vendor_ruby/phusion_passenger/abstract_server_collection.rb:132:in " lookup_or_add

| /usr/lib/ruby/vendor_ruby/phusion_passenger/spawn_manager.rb:246:in “block in spawn_rack_applic
ation'

| /usr/lib/ruby/vendor_ruby/phusion_passenger/abstract_server_collection.rb:82:in ‘block in synch
ronize'

| <internal:prelude>:10:in "~ synchronize'

| /usr/lib/ruby/vendor_ruby/phusion_passenger/abstract_server_collection.rb:79:in " synchronize'

| /usr/lib/ruby/vendor_ruby/phusion_passenger/spawn_manager.rb:244:in " spawn_rack_application’

| /usr/lib/ruby/vendor_ruby/phusion_passenger/spawn_manager.rb:137:in 'spawn_application’

| /usr/lib/ruby/vendor_ruby/phusion_passenger/spawn_manager.rb:275:in "handle_spawn_application'

| /usr/lib/ruby/vendor_ruby/phusion_passenger/abstract_server.rb:357:in " server_main_loop'

| /usr/lib/ruby/vendor_ruby/phusion_passenger/abstract_server.rb:206:in " start_synchronously'

| /usr/share/phusion-passenger/helper—-scripts/passenger-spawn-server:99:in "~ <main>'
2015-10-17T00:53:53 [app] [I] Rendered api/v2/errors/standard_error.json.rabl within api/v2/layo
uts/error_layout (0.6ms)
2015-10-17T00:53:53 [app] [I] Completed 500 Internal Server Error in 82.6ms (Views: 1.8ms | Active
Record: 50.6ms)

Related issues:
Related to Foreman - Bug #8343: API resource_scope ignores options Closed 11/11/2014

Associated revisions

Revision 97b5cd0a - 11/09/2015 06:01 AM - Shimon Shtein

Fixes #12201 - Made parent associations finder less dependent on association name

Revision 5e279bbb - 11/16/2015 09:30 AM - Shimon Shtein

Fixes #12201 - Made parent associations finder less dependent on association name

(cherry picked from commit 97b5cd0a27101907a333a84716489d73538812cc)

History

#1 - 10/20/2015 07:10 AM - Dominic Cleal

- translation missing: en.field_release set to 63

Not confirmed, but | think this is a regression in #8343.

#2 - 10/20/2015 07:11 AM - Dominic Cleal
- Related to Bug #8343: API resource_scope ignores options added

#3 - 11/03/2015 03:45 AM - Shimon Shtein

- Assignee set to Shimon Shtein

#4 - 11/03/2015 07:57 AM - The Foreman Bot
- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2885 added

#5 - 11/09/2015 07:01 AM - Shimon Shtein
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100
Applied in changeset 97b5cd0a27101907a333a84716489d73538812cc.
